%global alphaver 020
%global tarball  %{name}-%{version}-a%{alphaver}
%global dirver 1.10
%global dirname  %{name}-%{dirver}-pl%{alphaver}
%global momorel  34

Name: FreeWnn
Version: 1.1.1
Release: %{momorel}m
%NoSource 0 ftp://ftp.freewnn.org/pub/%{name}/alpha/%{tarball}.tar.bz2 c00549415cdb08c1f35240dccf8dab20
Source1:	FreeWnn.init
Source2:	cWnn.init
Source3:	tWnn.init
Source4:	kWnn.init
Patch0:		FreeWnn-fsstnd.patch
Patch1:		FreeWnn-ja-a017-2.patch
Patch2:		FreeWnn-noroot3.patch
Patch3:		jserverrc-g-jinmei.patch
Summary:        FreeWnn Japanese Input System
License:	GPL
Group:		Applications/System
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.freewnn.org/
Requires:	chkconfig
Requires:	setup >= 2.5.12-3m
Prereq:		FreeWnn-common = %{version}-%{release}, textutils, sh-utils
BuildPreReq:    glibc-devel, libtool, ncurses-devel

%description
This distribution contains FreeWnn Japanese Input System. 
FreeWnn is a network-extensible Kana-to-Kanji conversion system
and was jointly developed and released by the Software Research Group
of KyotoUniversity Research Institute for Mathematical Science, OMRON
Corporation and Astec, Inc.

%package devel
Summary: development library and header file for FreeWnn
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header file and library for building programs
with use FreeWnn.

############################################################
# FreeWnn-common
############################################################
%package common
Summary: common File for Wnn
Group: Applications/System
Prereq: grep,shadow-utils

%description common
FreeWnn-common includes the files you need to run FreeWnn, cWnn or kWnn.
Install FreeWnn-common if you will be using Wnn System.

#############################################################
#  cWnn
#############################################################
%package -n cWnn
Summary: cWnn Chinese Input System
Group: Applications/System
Requires: FreeWnn-common = %{version}-%{release}, cWnn-common = %{version}-%{release}
Prereq: shadow-utils, cWnn-common = %{version}-%{release}

%description -n cWnn
This package include FreeWnn Chinese Input System.

%package -n cWnn-common
Summary: cWnn/tWnn Chinese Input System common file
Group: Applications/System
Requires: FreeWnn-common = %{version}-%{release}
Prereq: shadow-utils

%description -n cWnn-common
This package include cWnn/tWnn Chinese Input System common file.

%package -n cWnn-devel
Summary: development library and header file for cWnn,tWnn.
Group: Development/Libraries
Requires: cWnn = %{version}-%{release}

%description -n cWnn-devel
This package contains the header file and library for building programs
with use cWnn,tWnn.

#############################################################
#  tWnn
#############################################################
%package -n tWnn
Summary: tWnn Chinese Input System
Group: Applications/System
Requires: FreeWnn-common = %{version}-%{release}, cWnn-common = %{version}-%{release}
Prereq: shadow-utils, cWnn-common = %{version}-%{release}

%description -n tWnn
tWnn Chinese Input System

#############################################################
#  kWnn
#############################################################
%package -n kWnn
Summary: kWnn Korean Input System
Group: Applications/System
Requires: FreeWnn-common = %{version}-%{release}
Prereq: shadow-utils

%description -n kWnn
kWnn Korean Input System

%package -n kWnn-devel
Summary: development library and header file for kWnn
Group: Development/Libraries
Requires: kWnn = %{version}-%{release}

%description -n kWnn-devel
This package contains the header file and library for building programs
with use kWnn.

#############################################################

%prep
%setup -q -n %{dirname}
%patch0 -p2 -b .fsstnd
%patch1 -p2 -b .a017-2

%patch2 -p1 -b .noroot
%patch3 -p2 -b .jinmei

cp -p %{SOURCE2} .

%build
libtoolize -c -f
aclocal
CPP=/lib/cpp autoconf
%configure --mandir=%{_mandir}
make %{?_smp_mflags} || make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install.man

mkdir -p %{buildroot}%{_mandir}/ja/man1
mkdir -p %{buildroot}%{_mandir}/ja/man3
mkdir -p %{buildroot}%{_mandir}/ja/man4
mkdir -p %{buildroot}%{_mandir}/ja/man5

cd %{buildroot}%{_mandir}/man1
for i in atod.1 atof.1 dtoa.1 jserver.1 oldatonewa.1 uum.1 wddel.1 wdreg.1 \
	wnnkill.1 wnnstat.1 wnntouch.1
do
	mv $i %{buildroot}%{_mandir}/ja/man1/
done

cd %{buildroot}%{_mandir}/man3
for i in *.3
do
	mv $i %{buildroot}%{_mandir}/ja/man3/
done

cd %{buildroot}%{_mandir}/man4
for i in 2a_ctrl.4 2b_romkana.4 cvt_key_tbl.4 fzk.data.4 fzk.u.4 \
	hinsi_data.4 jserverrc.4 mode.4 serverdefs.4 ujis_dic.4 \
	uumkey.4 uumrc.4 wnnenvrc.4
do
	mv $i %{buildroot}%{_mandir}/ja/man4/
done

cd %{buildroot}%{_mandir}/man5
for i in pubdic.5 usr_dic.5
do
	mv $i %{buildroot}%{_mandir}/ja/man5/
done

mkdir -p %{buildroot}%{_initscriptdir}
install -m755 %{SOURCE1} \
	%{buildroot}%{_initscriptdir}/FreeWnn
install -m755 %{SOURCE2} \
	%{buildroot}%{_initscriptdir}/cWnn
install -m755 %{SOURCE3} \
	%{buildroot}%{_initscriptdir}/tWnn
install -m755 %{SOURCE4} \
	%{buildroot}%{_initscriptdir}/kWnn

ln -sf /var/lib/wnn/ja/dic %{buildroot}/etc/FreeWnn/ja/dic
ln -sf /var/lib/wnn/zh_CN/dic %{buildroot}/etc/FreeWnn/zh_CN/dic
ln -sf /var/lib/wnn/zh_TW/dic %{buildroot}/etc/FreeWnn/zh_TW/dic
ln -sf /var/lib/wnn/ko_KR/dic %{buildroot}/etc/FreeWnn/ko_KR/dic

%clean
rm -rf %{buildroot}
# rm -rf ${RPM_BUILD_DIR}/%{name}-%{version}-a%{alphaver}

%post
/sbin/chkconfig --add FreeWnn
%{_bindir}/wnntouch  /var/lib/wnn/ja/dic/gerodic/g-jinmei.dic
cd /var/lib/wnn/ja/dic/pubdic
%{_bindir}/wnntouch *.*

%preun
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  if test -r /var/lock/subsys/FreeWnn
  then
    %{_initscriptdir}/FreeWnn stop
  fi
  /sbin/chkconfig --del FreeWnn
fi

%pre
# add user 'wnn'
if  grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/userdel wnn
fi
/usr/sbin/useradd -M -u 49 wnn -s /sbin/nologin -c "Wnn System Account"

%pre common
# add user 'wnn'
if ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -M -u 49 wnn -c "Wnn System Account"
fi
exit 0 

%post common
/sbin/ldconfig

%postun common
/usr/sbin/userdel wnn 

%preun common
if [ "$1" = "0" ]; then
    /usr/sbin/userdel wnn 2>/dev/null || :
    /usr/sbin/groupdel wnn 2>/dev/null || :
fi

%post devel
# if you make libwnn.so, unomment it.
/sbin/ldconfig

%post -n cWnn
# /sbin/chkconfig --add cWnn
cd /var/lib/wnn/zh_CN/dic/sys
%{_bindir}/cwnntouch *.*

%post -n cWnn-common
/sbin/ldconfig

%postun -n cWnn-common
/sbin/ldconfig

%preun -n cWnn
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  if test -r /var/lock/subsys/cWnn
  then
    %{_initscriptdir}/cWnn stop
  fi
  /sbin/chkconfig --del cWnn
fi

%postun -n cWnn-devel
# if you make libwnn.so, unomment it.
/sbin/ldconfig

%post -n tWnn
# /sbin/chkconfig --add tWnn
cd /var/lib/wnn/zh_TW/dic/sys
%{_bindir}/cwnntouch *.*

# Do only for the last un-install
%preun -n tWnn
if [ "$1" = 0 ] ; then
  if test -r /var/lock/subsys/tWnn
  then
    %{_initscriptdir}/tWnn stop
  fi
  /sbin/chkconfig --del tWnn
fi

%post -n kWnn
# /sbin/chkconfig --add kWnn
cd /var/lib/wnn/ko_KR/dic/sys
%{_bindir}/kwnntouch *.*
/sbin/ldconfig

%preun -n kWnn
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  if test -r /var/lock/subsys/kWnn
  then
    %{_initscriptdir}/kWnn stop
  fi
  /sbin/chkconfig --del kWnn
fi

%postun -n kWnn-devel
# if you make libwnn.so, unomment it.
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc Wnn/manual Wnn/manual.en
%config %{_initscriptdir}/FreeWnn
%attr(-,wnn,root) %{_bindir}/atod
%attr(-,wnn,root) %{_bindir}/dtoa
%attr(-,wnn,root) %{_bindir}/oldatonewa
%attr(-,wnn,root) %{_bindir}/wdreg
%attr(-,wnn,root) %{_bindir}/wnnstat
%attr(-,wnn,root) %{_bindir}/atof
%attr(4711,wnn,root) %{_bindir}/jserver
%attr(-,wnn,root) %{_bindir}/wddel
%attr(-,wnn,root) %{_bindir}/wnnkill
%attr(-,wnn,root) %{_bindir}/wnntouch
%{_mandir}/ja/man1/*
%{_mandir}/ja/man4/*
%{_mandir}/ja/man5/*
%attr(-,wnn,root)/var/lib/wnn/ja/dic
%dir /etc/FreeWnn/ja
/etc/FreeWnn/ja/dic
%config /etc/FreeWnn/ja/hinsi.data
%config /etc/FreeWnn/ja/jserverrc
%config /etc/FreeWnn/ja/libwnn.msg
%config /etc/FreeWnn/ja/rk
%config /etc/FreeWnn/ja/rk.vi
%config /etc/FreeWnn/ja/uum.msg
%config /etc/FreeWnn/ja/uumkey
%config /etc/FreeWnn/ja/uumkey.omr
%config /etc/FreeWnn/ja/uumkey_e
%config /etc/FreeWnn/ja/uumrc
%config /etc/FreeWnn/ja/uumrc.omr
%config /etc/FreeWnn/ja/uumrc.rev
%config /etc/FreeWnn/ja/uumrc_e
%config /etc/FreeWnn/ja/uumrc_vi
%config /etc/FreeWnn/ja/wnnenvrc
%config /etc/FreeWnn/ja/wnnenvrc.omr
%config /etc/FreeWnn/ja/wnnenvrc.rem
%config /etc/FreeWnn/ja/wnnenvrc.rev
%config /etc/FreeWnn/ja/wnnenvrc_R
%config /etc/FreeWnn/ja/wnnenvrc_R.omr
%config /etc/FreeWnn/ja/wnnenvrc_R.rem
%config /etc/FreeWnn/ja/wnnstat.msg
%dir /etc/FreeWnn/lt_LN
/etc/FreeWnn/lt_LN/rk
%config /etc/FreeWnn/lt_LN/uum.msg
%config /etc/FreeWnn/lt_LN/uumkey
%config /etc/FreeWnn/lt_LN/uumkey_e
%config /etc/FreeWnn/lt_LN/uumrc

%files devel
%defattr(-,root,root)
%{_includedir}/wnn
%{_libdir}/libjd.a
%{_libdir}/libjd.la
%{_libdir}/libjd.so
%{_libdir}/libwnn.a
%{_libdir}/libwnn.la
%{_libdir}/libwnn.so
%{_mandir}/ja/man3/*

%files common
%defattr(-,root,root)
%doc CONTRIBUTORS ChangeLog
%{_libdir}/libjd.so.*
%{_libdir}/libwnn.so.*
%dir /etc/FreeWnn
%config /etc/FreeWnn/cvt_key_empty
%config /etc/FreeWnn/cvt_key_tbl
%config /etc/FreeWnn/cvt_key_tbl.ST
%config /etc/FreeWnn/cvt_key_tbl.gm
%config /etc/FreeWnn/cvt_key_tbl.kt
%config /etc/FreeWnn/cvt_key_tbl.mv
%config /etc/FreeWnn/cvt_key_tbl.vt
%config /etc/FreeWnn/serverdefs

%files -n cWnn
%defattr(-,root,root)
%config %{_initscriptdir}/cWnn
%attr(4711,wnn,root) %{_bindir}/cserver
%dir /etc/FreeWnn/zh_CN
%config /etc/FreeWnn/zh_CN/cixing.data
%config /etc/FreeWnn/zh_CN/cserverrc
/etc/FreeWnn/zh_CN/dic
%attr(-,wnn,root)/var/lib/wnn/zh_CN/dic
%config /etc/FreeWnn/zh_CN/libwnn.msg
/etc/FreeWnn/zh_CN/rk
/etc/FreeWnn/zh_CN/rk_p
/etc/FreeWnn/zh_CN/rk_z
/etc/FreeWnn/zh_CN/uum.msg
/etc/FreeWnn/zh_CN/uumkey
/etc/FreeWnn/zh_CN/uumkey_e
/etc/FreeWnn/zh_CN/uumkey_p
%config /etc/FreeWnn/zh_CN/uumrc
%config /etc/FreeWnn/zh_CN/uumrc_p
%config /etc/FreeWnn/zh_CN/uumrc_z
%config /etc/FreeWnn/zh_CN/wnnenvrc
%config /etc/FreeWnn/zh_CN/wnnenvrc_Qi
%config /etc/FreeWnn/zh_CN/wnnenvrc_QiR
%config /etc/FreeWnn/zh_CN/wnnenvrc_R
%config /etc/FreeWnn/zh_CN/wnnenvrc_Wu
%config /etc/FreeWnn/zh_CN/wnnenvrc_WuR
%config /etc/FreeWnn/zh_CN/wnnstat.msg
%{_mandir}/man1/cserver.1*

%files -n cWnn-common
%defattr(-,root,root)
%doc cWnn/manual cWnn/manual.en
%{_libdir}/libcwnn.so.*
%{_bindir}/catod
%{_bindir}/catof                  
%{_bindir}/cdtoa
%{_bindir}/cwddel
%{_bindir}/cwdreg
%{_bindir}/cwnnkill
%{_bindir}/cwnnstat
%{_bindir}/cwnntouch
%{_mandir}/man1/catod.1*
%{_mandir}/man1/catof.1*
%{_mandir}/man1/cdicsort.1*
%{_mandir}/man1/cdtoa.1*
%{_mandir}/man1/cuum.1*
%{_mandir}/man1/cwddel.1*
%{_mandir}/man1/cwdreg.1*
%{_mandir}/man1/cwnnkill.1*
%{_mandir}/man1/cwnnstat.1*
%{_mandir}/man1/cwnntouch.1*
%{_mandir}/man4/cenv.4*
%{_mandir}/man4/ckey.4*
%{_mandir}/man4/cwnn.4*
%{_mandir}/man4/cst_end.4*

%files -n cWnn-devel
%defattr(-,root,root)
%{_includedir}/cwnn
%{_libdir}/libcwnn.a
%{_libdir}/libcwnn.la
%{_libdir}/libcwnn.so

%files -n tWnn
%defattr(-,root,root)
%config %{_initscriptdir}/tWnn
%attr(4711,wnn,root) %{_bindir}/tserver
%dir /etc/FreeWnn/zh_TW
%config /etc/FreeWnn/zh_TW/cixing.data
/etc/FreeWnn/zh_TW/dic
%attr(-,wnn,root) /var/lib/wnn/zh_TW/dic
%config /etc/FreeWnn/zh_TW/libwnn.msg
/etc/FreeWnn/zh_TW/rk
/etc/FreeWnn/zh_TW/rk_p
/etc/FreeWnn/zh_TW/rk_z
%config /etc/FreeWnn/zh_TW/tserverrc
%config /etc/FreeWnn/zh_TW/uum.msg
%config /etc/FreeWnn/zh_TW/uumkey
%config /etc/FreeWnn/zh_TW/uumkey_e
%config /etc/FreeWnn/zh_TW/uumkey_p
%config /etc/FreeWnn/zh_TW/uumrc
%config /etc/FreeWnn/zh_TW/uumrc_p
%config /etc/FreeWnn/zh_TW/uumrc_z
%config /etc/FreeWnn/zh_TW/wnnenvrc
%config /etc/FreeWnn/zh_TW/wnnenvrc_R
%config /etc/FreeWnn/zh_TW/wnnstat.msg

%files -n kWnn
%defattr(-,root,root)
%config %{_initscriptdir}/kWnn
%{_libdir}/libkwnn.so.*
%{_bindir}/katod
%{_bindir}/katof
%{_bindir}/kdtoa
%attr(4711,wnn,root) %{_bindir}/kserver
%{_bindir}/kwddel
%{_bindir}/kwdreg
%{_bindir}/kwnnkill
%{_bindir}/kwnnstat
%{_bindir}/kwnntouch
%dir /etc/FreeWnn/ko_KR
/etc/FreeWnn/ko_KR/dic
%attr(-,wnn,root) /var/lib/wnn/ko_KR/dic
%config /etc/FreeWnn/ko_KR/hinsi.data
%config /etc/FreeWnn/ko_KR/kserverrc
%config /etc/FreeWnn/ko_KR/libwnn.msg
/etc/FreeWnn/ko_KR/rk
%config /etc/FreeWnn/ko_KR/uum.msg
%config /etc/FreeWnn/ko_KR/uumkey
%config /etc/FreeWnn/ko_KR/uumrc
%config /etc/FreeWnn/ko_KR/wnnenvrc
%config /etc/FreeWnn/ko_KR/wnnenvrc_R
%config /etc/FreeWnn/ko_KR/wnnstat.msg

%files -n kWnn-devel
%defattr(-,root,root)
%{_includedir}/kwnn
%{_libdir}/libkwnn.a
%{_libdir}/libkwnn.la
%{_libdir}/libkwnn.so

%changelog
* Thu Jul 29 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.1-34m)
- modify spec

* Wed Jul 21 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.1-33m)
- modify uid/gid

* Sat Apr 10 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.1-32m)
- creating wnn account at pre section of the FreeWnn-common.
- removing wnn account at postun section of the FreeWnn-common.

* Sun Mar 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.1-31m)
- change %%{alpha} to %%{alphaver}
  %%{alpha} is expand to 'alpha alphaev5 alphaev56 alphapca56 alphaev6 alphaev67'
- use momorel
- rename patch23 to patch2
- rename patch4 to patch3
- s/${RPM_BUILD_ROOT}/%%{buiudroot}/g

* Sun Mar 14 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.1-30m)
- revised spec for enabling rpm 4.2.

* Thu Jun 12 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.1-29m)
  update to 1.1.1-a020(1.10-pl20 ?)

* Sun Jan 26 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.1-28m)
- delete Conflicts: libwnn6
- delete define %%ver, mv %%{ver} to %%{version}
- delete define %%release

* Thu Jan 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.1-27m)
- add Requires: setup >= 2.5.12-3m
- we need not add user wnn, add group wnn, add serveice wnn4
- Momonga is cared this by setup package
- Conflicts: libwnn6 for lib*wnn.so*

* Wed Jan 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.1-26m)
- sed|%%{prefix}/bin|%%{_bindir}|g, and replace all %%{prefix}
- sed|%%{buildroot}|${RPM_BUILD_ROOT}|g
- comment out ${RPM_BUILD_DIR}/%%{name}-%%{ver}-a%%{alpha}
- add libjd.so libwnn.so at files devel section
- add libjd.so.* and libwnn.so.* at files common section
- add libcwnn.so at files cWnn-devel section
- add libcwnn.so.* at files cWnn-common section
- add libkwnn.so.* at files kWnn section
- add libkwnn.so at files kWnn-devel section
- delete gzip man
- add autoconf at build section
- add CPP=/lib/cpp when exec autoconf

* Wed Jan 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.1-25m)
- version up to 1.1.1-a019
- update patch2 and patch3 to patch23 (FreeWnn-noroot3.patch)

* Fri Nov 30 2001 Toru Hoshina <t@kondara.org>
- (1.1.1-24k)
- comment out %chkconfig

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.1.1-22k)
- nigittenu

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.1-18k)
- errased the process concerning with /etc/service

* Sun Oct 14 2001 Masaru Sato <masachan@kondara.org>
- Modify BuildRoot

* Fri May 11 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- remove Conflicts: wnn6 tag

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.1-0.a17-13k)
- build against rpm-3.0.5-39k

* Mon Nov 27 2000 Toru Hoshina <toru@df-usa.com>
- (1.1.1-0.a17-9k)
- use _initscriptdir macro to keep backword compatibility.

* Wed Jul 19 2000 Takaaki Tabuchi <tab@kondara.org>
- fix chkconfig problem at preun

* Wed Jul 12 2000 AYUHANA Tomonori <l@kondara.org>
- (1.1.1-0.a17-5k)
- %patch0 -p3 -> -p2
- add -b at %patch

* Wed Jul 12 2000 Takaaki Tabuchi <tab@kondara.org>
- fix ja_JP problem on patch.

* Mon Jul  3 2000 Toyokazu Watabe <toy2@kondara.org>
- 1.1.1-3k (a017)
- fix spec file a bit.

* Mon Jul 03 2000 Takaaki Tabuchi <tab@kondara.org>
- 1.1.1-2k (a017)
- adapt patches for a017
- change Buildroot
- ready gziped man
- bziped patches

* Tue May 30 2000 Takaaki Tabuchi <tab@kondara.org>
- 1.1.1-1k4 (a013)
- move useradd to %post section
- add noroot2.patch

* Mon Mar  6 2000 Tenkou N. Hattori <tnh@kondara.org>
- add PreReq: FreeWnn-common

* Thu Mar 02 2000 Shingo Akagaki <dora@kondara.org>
- remove SMP make option

* Thu Mar 02 2000 Shingo Akagaki <dora@kondara.org>
- add PreReq: sh-utils

* Fri Feb 25 2000 Shingo Akagaki <dora@kondara.org>
- gzip man page
- chenge %files section

* Mon Jan 31 2000 Norihito Ohmori <nono@kondara.org>
- ja_JP -> ja
- configuration file move to /etc
- change group.
- add cWnn and kWnn.
- add FreeWnn-common Package.
- remove sample.eggrc

* Tue Jan 25 2000 Norihito Ohmori <nono@vinelinux.org>
- add defattr and attr for %files section

* Tue Nov 23 1999 Norihito Ohmori <ohmori@flatout.org>
- add Requires: chkconfig
- Conflicts change from Wnn6 to wnn6

* Fri Nov 12 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- FreeWnn-1.1.1-0.a013.4
- added Prereq: grep,textutils

* Wed Nov 10 1999 Jun Nishii <jun@flatout.org>
- remove cWnn and kWnn

* Sun Nov  7 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
- [FreeWnn-1.1.1-0.a013.2]
- Added a sample file of .eggrc to utilize gerodic.
- Now do not ldconfig after installation of FreeWnn-devel.
- Enabled you to compile with multi processors.
- Added 'Prereq: shadow-utils' for installation.
- Modified FreeWnn-jserver.script against error at boot time.

* Wed Oct 20 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
- [FreeWnn-1.1.1-0.a013.1]
- Updated to FreeWnn-1.1.1-a013.
- Separated cWnn,kWnn packages again.
- Make this package relocatable.
- Keep jserverrc and wnnenvrc when upgrading.

* Fri Sep 24 1999 Masaru Yokoi <yokoi @yk.fks.ryukoku.ac.jp>
- [FreeWnn-1.10-3]
- Added /var/lib/wnn/*/dic/usr .
- Moved libwnn.a from FreeWnn package to FreeWnn-devel package.
- Moved Japanese manuals from /usr/X11R6/man/man*
- to /usr/X11R6/man/ja_JP.ujis/man* .

* Wed Aug 11 1999 Masaru Yokoi <yokoi@yk.fks.ryukoku.ac.jp>
- First release.  Original idea is Sat Jul 12 1999 Norihito Ohmori
- <ohmori@flatout.org>

#############################################################
